Contents

# CDateToIso Function

Returns the date in ISO format without separators (YYYYMMDD) from a serial date number that is generated by the DateSerial or the DateValue or the CDateFromIso function.

The year part consists of at least four digits, with leading zeros if the absolute value is less than 1000, it can be negative with a leading minus sign if the date passed denotes a year before the common era (BCE) and it can have more than four digits if the absolute value is greater than 9999. The formatted string returned can be in the range "-327680101" to "327671231".

Years less than 100 and greater than 9999 are supported since LibreOfficeDev 5.4.

## Syntax:

    CDateToIso(Number)

## Return value:

String

## Parameters:

Number: Integer that contains the serial date number.

### Error codes:

5 Invalid procedure call

## Example:

    Sub ExampleCDateToIso
        MsgBox "" & CDateToIso(Now) ,64,"ISO Date"
    End Sub